#lucky-wheel-page{
    background: #f1f1f1;
    background-image: url('img/lucky_wheel/background.jpg');
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    max-width: 500px;
    margin: auto;
    padding: 15px 0
}

.intro{
    display: flex;
    padding: 10px 15px;
    background: white;
    filter: var(--theme-shadow-light);
    border-radius: 10px;
    width: calc(100% - 20px);
    margin: 0 auto 15px;
    gap: 10px;
    align-items: center;
    cursor: default
}

.intro img{
    height: 48px
}

.intro .info h2{
    color: var(--theme-color-dark-2);
    font-weight: 600;
    font-size: 16px;
    line-height: 1
}

.intro .info p{
    color: var(--theme-color-default);
    font-size: 12px;
    font-weight: 400
}

#wheel-wrapper {
    max-width: 500px;
    width: 100%;
    position: relative;
    margin: 0 auto;
    transition: 0.3s;
    margin-top: 40px;
    opacity: 0
}

#wheel-wrapper.show {
    opacity: 1
}

.wheel {
    max-width: 400px;
    width: 80%;
    position: relative;
    margin: 0 auto;
    pointer-events: none;
    filter: drop-shadow(0px 0px 10px rgba(76,54,0,0.4)) drop-shadow(0 5px 1px rgba(76,54,0,.1))
}

.wheel::before {
    content: '';
    display: block;
    padding-bottom: 100%;
}

.wheel .coin{
    position: absolute;
    z-index: 5;
}

.wheel .coin {
    position: absolute;
    z-index: 5;
    animation: float 3s ease-in-out infinite;
}

.wheel .coin-1 {
    width: 11%;
    top: 5%;
    left: 2%;
    animation: float 3s ease-in-out infinite;
}

.wheel .coin-2 {
    width: 13%;
    top: 80%;
    left: 4%;
    animation: float-2 3s ease-in-out infinite;
}

.wheel .coin-3 {
    width: 10%;
    top: 50%;
    left: -5%;
    animation: float-3 3s ease-in-out infinite;
}

.wheel .coin-4 {
    width: 12%;
    top: 5%;
    right: 0;
    animation: float-4 3s ease-in-out infinite;
}

.wheel .coin-5 {
    width: 14%;
    right: 3%;
    top: 80%;
    animation: float-5 3s ease-in-out infinite;
}

@keyframes float {
    0% {
        top: calc(5% - 1%);
    }
    50% {
        top: calc(5% + 1%);
    }
    100% {
        top: calc(5% - 1%);
    }
}

@keyframes float-2 {
    0% {
        top: calc(80% - 1%);
    }
    50% {
        top: calc(80% + 1%);
    }
    100% {
        top: calc(80% - 1%);
    }
}

@keyframes float-3 {
    0% {
        top: calc(50% - 1%);
    }
    50% {
        top: calc(50% + 1%);
    }
    100% {
        top: calc(50% - 1%);
    }
}

@keyframes float-4 {
    0% {
        top: calc(5% - 1%);
    }
    50% {
        top: calc(5% + 1%);
    }
    100% {
        top: calc(5% - 1%);
    }
}

@keyframes float-5 {
    0% {
        top: calc(80% - 1%);
    }
    50% {
        top: calc(80% + 1%);
    }
    100% {
        top: calc(80% - 1%);
    }
}

.wheel-container {
    position: absolute;
    bottom: calc(4% + 20px);
    left: 4%;
    width: calc(100% - 8%);
    height: calc(100% - 8%);
    z-index: 2;
}

.wheel-frame{
    max-width: 500px;
    width: 100%;
    position: absolute;
    top: -50px;
    left: 50%;
    z-index: 3;
    transform: translate(-50%, 30px);
}

.wheel-center{
    width: 100px;
    position: absolute;
    top: 44%;
    left: 50%;
    transform: translate(-50%, -45%);
    z-index: 4;
    filter: drop-shadow(0 0 15px #472300)
}

.wheel-pointer{
    width: 30px;
    position: absolute;
    top: -1%;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
    filter: drop-shadow(0px 0px 10px rgba(76,54,0,0.4)) drop-shadow(0 5px 1px rgba(76,54,0,.1))
}

.wheel-platform{
    margin: -250px auto 0;
    width: 100%
}

#wheel-actions{
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    background: #ffffff;
    z-index: 6;
    margin: -25px auto 15px;
    position: relative;
    width: calc(100% - 20px);
    border-radius: 10px;
    filter: var(--theme-shadow-light);
    padding: 10px
}

#wheel-actions h2{
    font-size: 14px;
    color: var(--theme-color-dark-2);
    text-align: center;
    font-weight: 400;
    margin-bottom: 10px;
}

#wheel-actions h2 b{
    font-weight: 600
}

#wheel-actions button{
    border-radius: 100px;
    text-align: center;
    width: 65%;
    min-width: 325px;
    padding: 12px;
}

#wheel-actions p{
    font-size: 12px;
    font-weight: 400;
    color: var(--theme-color-dark-2);
    margin-top: 10px;
}

#prize-wrapper{
    width: calc(100% - 20px);
    background: white;
    padding: 10px;
    border-radius: 10px;
    filter: var(--theme-shadow-light);
    margin: auto;
    margin-bottom: 15px;
}

#prize-wrapper .prizes{
    display: flex;
    gap: 5px;
    flex-wrap: wrap;
    justify-content: center
}

#prize-wrapper .prize{
    display: flex;
    flex-direction: column;
    gap: 5px;
    flex: 0 0 calc(33% - 10px);
    padding: 5px;
    background: #fff;
    background-image: url('../img/lucky_wheel/background.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 10px;
    justify-content: center;
    align-items: center
}

#prize-wrapper .prize img{
    width: 75%;
}

#prize-wrapper .prize label{
    font-size: 11px;
    text-align: center;
    line-height: 1;
    color: var(--theme-color-dark-2);
    font-weight: 600;
}

#transfer-wrapper{
    width: calc(100% - 20px);
    background: white;
    padding: 10px;
    border-radius: 10px;
    filter: var(--theme-shadow-light);
    margin: auto;
}

#transfer-wrapper .wallet{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    flex-direction: column;
}

#transfer-wrapper .wallet h2{
    font-size: 24px;
    font-weight: 600;
    color: var(--theme-color-dark-2)
}

#transfer-wrapper .btn{
    padding: 10px 15px;
    font-size: 14px;
    width: fit-content;
}

#transfer-wrapper p{
    font-size: 12px;
    font-weight: 400;
    color: var(--theme-color-dark-2);
}

.tnc-wrapper{
    margin-top: 15px
}

.tnc-wrapper svg{
    transition: .375s;
}

.tnc-wrapper svg > *{
    color: var(--theme-color-dark-2)
}

#tnc{
    font-size: 14px;
    font-weight: 600;
    color: var(--theme-color-dark-2);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.tnc-content{
    height: 0;
    transition: 0.375s;
    overflow: hidden;
    padding: 0 15px;
    background: var(--theme-info-background)
}

.tnc-wrapper.show svg{
    transform: rotate(90deg);
}

.tnc-wrapper.show .tnc-content{
    height: auto;
    padding: 15px;
}


.tnc-content h6{
    font-size: 16px;
    color: var(--theme-info-title-color);
    font-weight: 600;
    margin-bottom: 5px;
}

.tnc-content ul {
    padding-left: 20px;
}

.tnc-content li{
    font-size: 12px;
    font-weight: 400;
    color: var(--theme-color-dark-2);
}

.tnc-content .row{
    margin-bottom: 10px;
    display: block
}

#modal-mission .title{
    margin-bottom: 15px;
    font-weight: 600;
    text-align: center;
    font-size: 18px;
    color: var(--theme-color-dark-2)
}

#modal-mission .mission{
    padding: 10px;
    border-radius: 5px;
    background: #f1f1f1;
    margin-bottom: 10px;
    display: flex;
    justify-content: space-between;
    gap: 10px;
    cursor: default
}

#modal-mission .mission-info{
    flex: 1;
}

#modal-mission .mission-title{
    font-size: 14px;
    font-weight: 600;
    margin-bottom: 5px;
    color: var(--theme-color-dark-2)
}

#modal-mission .progress-bar-wrapper{
    position: relative;
}

#modal-mission .progress-bar{
    width: 100%;
    height: 8px;
    border-radius: 25px;
    background: #b4b4b4;
    margin-bottom: 5px;
}

#modal-mission .active-bar{
    height: 8px;
    border-radius: 25px;
    background: var(--theme-color-dark-2);
    position: absolute;
    top: 0;
    z-index:2;
}

#modal-mission .progress p{
    font-size: 12px;
    color: var(--theme-color-default);
}

#modal-mission .actions{
    display: flex;
    align-items: center;
    width: 80px;
    justify-content: center;
    flex-direction: column;
}

#modal-mission .reward{
    display: flex;
    gap: 3px;
    margin-bottom: 5px;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    font-weight: 400;
    color: var(--theme-color-default)
}

#modal-mission .actions form{
    margin: 0;
}

#modal-mission .actions button{
    border-radius: 5px;
    border: none;
    padding: 5px 10px;
    font-size: 14px;
    font-weight: 600;
    background-color: #ccc;
    color: #838383;
    line-height: 1
}

#modal-mission .actions button.active{
    background: var(--theme-color-dark-2);
    color: #fff;
    cursor: pointer;
}

#modal-mission .note{
    padding: 0 10px;
    text-align:center;
    font-size: 12px;
    font-weight: 400;
    color: var(--theme-color-dark-2);
}

#modal-mission .reward img{
    height: 16px;
}

.fade-out-element{
    opacity: 1;
    transition: opacity 1.5s ease;
}

.fade-out{
    opacity: 0;
    z-index: 0;
}



@media screen and (max-width: 375px) {
    #btn-start-mini-game{
        font-size: 14px;
        text-wrap: nowrap;
        padding: 8px 15px;
    }

    #btn-transfer{
        font-size: 12px;
        text-wrap: nowrap;
        padding: 8px 10px;
    }
}

#btn-open-prize:disabled{
    opacity: 0.75
}

#modal-prize .title{
    margin-bottom: 15px;
    font-weight: 600;
    text-align: center;
    font-size: 18px;
    color: var(--theme-color-dark-2)
}

#prize-won{
    display: flex;
    width: 100%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#prize-won-image{
    width: 100%;
    max-width: 250px;
    margin: 0 auto 15px;
}

#prize-won .btn{
    padding: 10px 15px;
    font-weight: 14px
}

#prize-won p{
    padding: 0 10px;
    text-align:center;
    font-size: 14px;
    font-weight: 400;
    color: var(--theme-color-dark-2);
    margin-bottom: 10px;
}

#side-buttons, #side-partnership{
    display: none;
}